
--CREAR TABLA UNIVERSIDADES
CREATE TABLE universidades(
	nit VARCHAR(10) PRIMARY KEY NOT NULL, 
	nombre VARCHAR(30) NOT NULL, 
	direccion VARCHAR(60) NOT NULL, 
	email VARCHAR(100) NOT NULL
);

--CREAR TABLA TELEFONOS_ESTUDIANTES
CREATE TABLE telefonos_universidad(
	id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	numero_telefono VARCHAR(16),
	universidad_nit VARCHAR(10) NOT NULL,
	FOREIGN KEY(universidad_nit) REFERENCES universidades(nit)
);

--CREAR TABLA FACULTADES
CREATE TABLE facultades(
	id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
	codigo VARCHAR(10) NOT NULL,
	nombre VARCHAR(60) NOT NULL,
	universidad_nit VARCHAR(10) NOT NULL,
	FOREIGN KEY(universidad_nit) REFERENCES universidades(nit)
);

--CREAR TABLA ESTUDIANTES
CREATE TABLE estudiantes(
    cedula VARCHAR(20) PRIMARY KEY NOT NULL,
	nombre VARCHAR (30) NOT NULL,
	apellido VARCHAR(30) NOT NULL,
	edad INT(2) NOT NULL,
	sexo CHAR NOT NULL,
	codigo VARCHAR(10) NOT NULL,
	facultad_id INTEGER NOT NULL,
	FOREIGN KEY(facultad_id) REFERENCES facultades(id)
);

--CREAR TABLA TELEFONOS_ESTUDIANTE
CREATE TABLE telefonos_estudiante(
    id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
	numero_telefono VARCHAR(10) NOT NULL,
	estudiante_cedula VARCHAR(20) NOT NULL,
	FOREIGN KEY(estudiante_cedula) REFERENCES estudiantes(cedula)
);








